## eole-ad 2.7.2-29

=== debian/changelog ===
eole-ad (2.7.2-29) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [aee5b0c] changepasswordeole.pl : update OpenLDAP shadowLastChange
  * [b8c6515] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [0086bfb] Joël Cuissinat: Update package since “debian/eole/2.7.2-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 03 May 2024 13:12:06 +0200

eole-ad (2.7.2-28) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5693098] Forcer l’adresse IP du contrôleur en conteneur.

  [ Joël Cuissinat ]
  * [16e76a4] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3d1acaf] Joël Cuissinat: Update package since “debian/eole/2.7.2-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 13 Mar 2023 17:06:57 +0100

eole-ad (2.7.2-27) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [dd33abb] Remove debug options from /etc/default/lsc
  * [f379cd6] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [62cf902] Joël Cuissinat: Update package since “debian/eole/2.7.2-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 01 Sep 2022 16:52:54 +0200

eole-ad (2.7.2-26) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [97586d6] multi-etab : don't synchronize "eleves" and "professeurs" groups
  * [170f153] Add /usr/sbin/checkmultietab script
  * [4556305] Call "checkmultietab" in postservice
  * [f715c9e] Merge branch '2.7.2/lsc-multi' into 2.7.2/master
  * [2551786] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [65a34d3] Joël Cuissinat: Update package since “debian/eole/2.7.2-25”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 May 2022 16:22:03 +0200

eole-ad (2.7.2-25) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [11d9cca] Adjust OOM Score for eole-lsc (ref #33940)
  * [289f3ca] Frame the memory usage of then lsc process (ref #33940)
  * [e0c920a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3b90888] Joël Cuissinat: Update package since “debian/eole/2.7.2-24”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 10 Mar 2022 10:29:42 +0100

eole-ad (2.7.2-24) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ac5fdb9] relancer automatiquement lsc s'il plante (ref #33625)
  * [640bb96] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [051faf9] Emmanuel Garette: Update package since “debian/eole/2.7.2-23”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Jan 2022 16:15:43 +0100

eole-ad (2.7.2-23) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [62ff566] suppression des logs autres que CONSOLE (ref #33379)
  * [2fd1193] Merge branch '2.7.1/master' into 2.7.2/master
  * [1a5ed24] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5a27305] Emmanuel Garette: Update package since “debian/eole/2.7.2-22”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 19 Nov 2021 14:51:32 +0100

eole-ad (2.7.2-22) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [af15f1d] ajout shadowExpire
  * [103a10d] handle shadowexpires
  * [531493b] Merge branch 'savoie' into 2.7.2/master
  * [a6c4fb9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ Emmanuel Garette ]
  * [91bd99c] paramétrer les logs pour utiliser journald (ref #33379)
  * [1a889d2] Merge branch '2.7.1/master' into 2.7.2/master
  * [10ea70b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [58fc6c4] Emmanuel Garette: Update package since “debian/eole/2.7.2-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 08 Nov 2021 16:54:45 +0100

eole-ad (2.7.2-21) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [155101f] eole-lsc.service : improve systemd unit
  * [fab6816] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [18d1e61] Joël Cuissinat: Update package since “debian/eole/2.7.2-20”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 01 Sep 2021 11:53:07 +0200

eole-ad (2.7.2-20) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [869bb42] Revert "desactiver rndc command sur scribe (ref #32214)"

  [ Joël Cuissinat ]
  * [d769b41] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a1c9b10] Joël Cuissinat: Update package since “debian/eole/2.7.2-19”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 17 May 2021 14:51:52 +0200

eole-ad (2.7.2-19) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [be01304] Lancement de lsc à la mode systemd (ref #32152)
  * [2dc1555] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c13a619] Emmanuel Garette: Update package since “debian/eole/2.7.2-18”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 04 May 2021 17:08:06 +0200

eole-ad (2.7.2-18) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2284780] desactiver rndc command sur scribe (ref #32214)
  * [fdf0e53] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [d3b7ff2] Emmanuel Garette: Update package since “debian/eole/2.7.2-17”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 23 Apr 2021 16:59:21 +0200

eole-ad (2.7.2-17) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [605592a] Force "server max protocol" to "default" for Eole-AD
  * [6772097] Merge branch '2.6.2/31203-syncEtab' into 2.6.2/master
  * [e59eaf1] Add "admin users" directive
  * [2df9a57] Hide assumed LSC synchronization errors
  * [3152f98] Merge branch '2.6.2/master' into 2.7.1/master
  * [5b5817f] Merge branch '2.7.1/master' into 2.7.2/master
  * [3dc1c31] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]


## eole-ad 2.8.0-13

=== Makefile ===
################################
# Makefile pour eole-ad
################################

SOURCE=eole-ad
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-ad (2.8.0-13) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [380c37f] Modification du filtre full_audit ref #31282
  * [bf52b1f] remove disconnect from audit ref #31282

  [ Joël Cuissinat ]
  * [448efef] Merge branch '2.7.2/master' into 2.8.0/master
  * [7cc3586] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2e9b7a5] Joël Cuissinat: Update package since “debian/eole/2.8.0-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Dec 2020 15:24:02 +0100

eole-ad (2.8.0-12) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [8daf4fb] Verfify if nmbd is disabled in postservice
  * [1e89523] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [e625f83] Joël Cuissinat: Update package since “debian/eole/2.8.0-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Dec 2020 12:09:12 +0100

eole-ad (2.8.0-11) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7b6baef] Merge branch '2.6.2/31203-syncEtab' into 2.7.2/master
  * [c754d55] Merge branch '2.6.2/31203-syncEtab' into 2.7.1/master

  [ gilles.grandgerard ]
  * [ebcd8c3] manque full_audit dans les 'vfs objects'
  * [dd50884] Merge branch '2.7.1/master' into 2.7.2/master
  * [5f1ceea] Merge branch '2.7.2/master' into 2.8.0/master
  * [9e38cb1] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [b1795e1] gilles.grandgerard: Update package since “debian/eole/2.8.0-10”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Mon, 07 Dec 2020 13:32:34 +0100

eole-ad (2.8.0-10) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [766070b] * tmpl/lsc.xml : synchrnonise "Etablissement" groups
  * [157d7bf] Merge branch '2.6.2/31203-syncEtab' into 2.8.0/master
  * [77c4191] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2a1c1c1] Joël Cuissinat: Update package since “debian/eole/2.8.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 25 Nov 2020 12:18:30 +0100

eole-ad (2.8.0-9) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [72303dc] ajout du groupe @Domain Users (ref #28660)
  * [423e328] Merge branch '2.7.2/master' into 2.8.0/master
  * [561ce5e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d6abed9] Emmanuel Garette: Update package since “debian/eole/2.8.0-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 15 Oct 2020 09:36:25 +0200

eole-ad (2.8.0-8) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [261e822] Grant access to printers to authentified users and set permissions on driver folders
  * [aa17c26] Merge branch '2.7.2/28660-print_share_permissions' into 2.7.2/master
  * [dfcbee0] Merge branch '2.7.2/master' into 2.8.0/master
  * [d9b9657] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [4c718ac] Benjamin Bohard: Update package since “debian/eole/2.8.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 14 Oct 2020 14:07:10 +0200

eole-ad (2.8.0-7) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6c98a95] Remove samba deprecated "guest" mode in config file
  * [b3c4816] Clean smb configuration
  * [b0e8656] Increase idmap config range
  * [2a4ceac] Merge branch '2.7.1/master' into 2.7.2/master
  * [51453f3] Merge branch '2.7.2/master'
  * [8bb6203] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [50a5cc4] Joël Cuissinat: Update package since “debian/eole/2.8.0-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 19 Jun 2020 18:57:07 +0200

eole-ad (2.8.0-6) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [445f902] Check for username in password by default on Scribe 2.8
  * [65f2bc8] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [3e4c682] Joël Cuissinat: Update package since “debian/eole/2.8.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 18 Jun 2020 10:17:45 +0200

eole-ad (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [98eb434] Add eole-saslauthd depends for EOLE 2.8

  [ EOLE Build Daemon ]
  * [f2d7bcb] Joël Cuissinat: Update package since “debian/eole/2.8.0-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 07 May 2020 12:45:10 +0200

eole-ad (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [99413e3] changepasswordeole.pl : hack to not change admin password at instance
  * [fbafbc7] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [42029a6] Joël Cuissinat: Update package since “debian/eole/2.8.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 07 May 2020 12:33:02 +0200

eole-ad (2.8.0-3) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c3bea83] eole-wait-addc service running if DC is declared local.
  * [fed3277] Merge branch '2.7.2/29951-relax_constraint_on_eole-wait-addc' into 2.7.2/master

  [ Emmanuel Garette ]
  * [c69d2ff] gérer le service dans le postservice plutot que dans creole (ref #29951)

  [ Joël Cuissinat ]
  * [09ae7ba] Merge branch '2.7.2/master'
  * [430acb4] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [03bcf5b] Joël Cuissinat: Update package since “debian/eole/2.8.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 05 May 2020 12:18:56 +0200

eole-ad (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [92ff1eb] test Update userPassword according to sasl delegation status
  * [9f73415] Merge branch '2.8.0/30002-sasl_delegation'
  * [4db578d] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [19aceaa] Benjamin Bohard: Update package since “debian/eole/2.8.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 30 Apr 2020 14:26:07 +0200

eole-ad (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [bfb0116] Prepare version 2.8.0


=== debian/control ===
Source: eole-ad
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50),
               dh-systemd
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ad/repository

Package: eole-ad
Architecture: all
Depends: eole-scribe | eole-horus,
 krb5-config, krb5-user, lsc,
 openjdk-8-jre,
 libcrypt-saltedhash-perl,
 recode,
 eole-saslauthd,
 ${misc:Depends}
Description: Intégration d'un module EOLE à un domaine Active Directory
 Cette fonctionnalité est le fruit d'une contribution de
 la Région Rhône-Alpes
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_systemd_enable:
	dh_systemd_enable -peole-ad --name=eole-lsc
	dh_systemd_enable -peole-ad --name=eole-wait-addc

.PHONY: override_dh_systemd_enable

## eole-ad 2.8.0-30

=== debian/changelog ===
eole-ad (2.8.0-30) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e27dd0f] changepasswordeole.pl : manage shadowLastChange instead of pwdLastSet in no SASL mode
  * [1f6e5f4] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [4b7e783] Joël Cuissinat: Update package since “debian/eole/2.8.0-29”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 May 2024 14:59:21 +0200

eole-ad (2.8.0-29) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [aee5b0c] changepasswordeole.pl : update OpenLDAP shadowLastChange
  * [3818743] Merge branch '2.7.2/master' into 2.8.0/master
  * [e63cded] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [bf150d1] Joël Cuissinat: Update package since “debian/eole/2.8.0-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 03 May 2024 13:15:30 +0200

eole-ad (2.8.0-28) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5693098] Forcer l’adresse IP du contrôleur en conteneur.

  [ Joël Cuissinat ]
  * [c4ada5f] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [a84bbe8] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [70a2dde] Joël Cuissinat: Update package since “debian/eole/2.8.0-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 09 Mar 2023 15:33:19 +0100

eole-ad (2.8.0-27) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [f715c9e] Merge branch '2.7.2/lsc-multi' into 2.7.2/master
  * [dd33abb] Remove debug options from /etc/default/lsc
  * [4d20ec5] Merge branch '2.7.2/master' into 2.8.0/master
  * [1788191] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [fed9270] Joël Cuissinat: Update package since “debian/eole/2.8.0-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 01 Sep 2022 16:56:02 +0200

eole-ad (2.8.0-26) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [6f98859] Revert "Ajout du scribe checkmonoetab"
  * [ee5a211] Revert "En multi-etab, ignorer le groupe invite lors de la synchro lsc"
  * [b003545] Revert "Création des groupes admin-etab et invite-etab au reconfigure si nécessaire"
  * [b75265d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ccdcf27] Laurent Gourvénec: Update package since “debian/eole/2.8.0-25”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 18 Aug 2022 13:17:55 +0200

eole-ad (2.8.0-25) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c6d2c85] Création des groupes admin-etab et invite-etab au reconfigure si nécessaire
  * [ceb8009] En multi-etab, ignorer le groupe invite lors de la synchro lsc
  * [ce96999] Ajout du scribe checkmonoetab
  * [5ef11c6] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [03d14ae] Laurent Gourvénec: Update package since “debian/eole/2.8.0-24”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 17 Aug 2022 17:34:28 +0200

eole-ad (2.8.0-24) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [97586d6] multi-etab : don't synchronize "eleves" and "professeurs" groups
  * [170f153] Add /usr/sbin/checkmultietab script
  * [4556305] Call "checkmultietab" in postservice
  * [5e5a314] checkmultietab : python3 upgrade
  * [3a147b0] Merge branch '2.8.0/lsc-multi' into 2.8.0/master
  * [af05427] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [1918af6] Joël Cuissinat: Update package since “debian/eole/2.8.0-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 May 2022 16:27:57 +0200

eole-ad (2.8.0-23) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [11d9cca] Adjust OOM Score for eole-lsc (ref #33940)
  * [289f3ca] Frame the memory usage of then lsc process (ref #33940)
  * [4cc70dc] Merge branch '2.7.2/master' into 2.8.0/master
  * [fcc7cbf] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [50b0f3f] Joël Cuissinat: Update package since “debian/eole/2.8.0-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 10 Mar 2022 10:36:13 +0100

eole-ad (2.8.0-22) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ac5fdb9] relancer automatiquement lsc s'il plante (ref #33625)
  * [3a87acf] Merge branch '2.7.2/master' into 2.8.0/master
  * [8342d37] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d2a3b3b] Emmanuel Garette: Update package since “debian/eole/2.8.0-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Jan 2022 16:16:17 +0100

eole-ad (2.8.0-21) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [62ff566] suppression des logs autres que CONSOLE (ref #33379)
  * [2fd1193] Merge branch '2.7.1/master' into 2.7.2/master
  * [5579ba8] Merge branch '2.7.2/master' into 2.8.0/master
  * [f0a8511] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c599c14] Emmanuel Garette: Update package since “debian/eole/2.8.0-20”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 19 Nov 2021 14:51:52 +0100

eole-ad (2.8.0-20) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [af15f1d] ajout shadowExpire
  * [103a10d] handle shadowexpires
  * [531493b] Merge branch 'savoie' into 2.7.2/master

  [ Emmanuel Garette ]
  * [91bd99c] paramétrer les logs pour utiliser journald (ref #33379)
  * [1a889d2] Merge branch '2.7.1/master' into 2.7.2/master
  * [fb68262] Merge branch '2.7.2/master' into 2.8.0/master
  * [50a8443] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c98242d] Emmanuel Garette: Update package since “debian/eole/2.8.0-19”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 08 Nov 2021 16:55:02 +0100

eole-ad (2.8.0-19) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [155101f] eole-lsc.service : improve systemd unit


## eole-ad 2.8.1-11

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ad
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad (2.8.1-11) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [869bb42] Revert "desactiver rndc command sur scribe (ref #32214)"
  * [98fea9e] Merge branch '2.7.2/master' into 2.8.0/master
  * [fdbfe54] Merge branch '2.8.0/master'

  [ Joël Cuissinat ]
  * [1869d4b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0f88c97] Joël Cuissinat: Update package since “debian/eole/2.8.1-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 17 May 2021 15:00:31 +0200

eole-ad (2.8.1-10) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [be01304] Lancement de lsc à la mode systemd (ref #32152)
  * [e43d862] Merge branch '2.7.2/master' into 2.8.0/master
  * [e954b0c] Merge branch '2.8.0/master'
  * [2f9d598] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fbf158d] Emmanuel Garette: Update package since “debian/eole/2.8.1-9”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 04 May 2021 17:09:44 +0200

eole-ad (2.8.1-9) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [2284780] desactiver rndc command sur scribe (ref #32214)
  * [6c16ab1] Merge branch '2.7.2/master' into 2.8.0/master
  * [04f6704] Revert "desactiver rndc command sur scribe (ref #32214)" uniquement en 2.7.2
  * [bbee200] Merge branch '2.8.0/master'
  * [33749ee] Revert "Revert "desactiver rndc command sur scribe (ref #32214)""
  * [8c70989] Merge branch '2.8.0/master'
  * [3c8a62a] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [297a36f] Emmanuel Garette: Update package since “debian/eole/2.8.1-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 29 Apr 2021 08:42:08 +0200

eole-ad (2.8.1-8) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [605592a] Force "server max protocol" to "default" for Eole-AD
  * [6772097] Merge branch '2.6.2/31203-syncEtab' into 2.6.2/master
  * [e59eaf1] Add "admin users" directive
  * [2df9a57] Hide assumed LSC synchronization errors
  * [3152f98] Merge branch '2.6.2/master' into 2.7.1/master
  * [5b5817f] Merge branch '2.7.1/master' into 2.7.2/master
  * [d395a4b] Merge branch '2.7.2/master' into 2.8.0/master
  * [f04945f] Merge branch '2.8.0/master'
  * [3403847] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0766f24] Joël Cuissinat: Update package since “debian/eole/2.8.1-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Mar 2021 14:57:44 +0100

eole-ad (2.8.1-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [fa441f1] la variable ad_domain ne devrait pas être modifiée après instance (ref #31774)
  * [813abaf] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ef2902f] Emmanuel Garette: Update package since “debian/eole/2.8.1-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 02 Mar 2021 10:43:11 +0100

eole-ad (2.8.1-6) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [380c37f] Modification du filtre full_audit ref #31282
  * [bf52b1f] remove disconnect from audit ref #31282

  [ Joël Cuissinat ]
  * [448efef] Merge branch '2.7.2/master' into 2.8.0/master
  * [40ca798] Merge branch '2.8.0/master'
  * [fba04f7] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3da14e4] Joël Cuissinat: Update package since “debian/eole/2.8.1-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Dec 2020 15:26:37 +0100

eole-ad (2.8.1-5) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [8daf4fb] Verfify if nmbd is disabled in postservice
  * [386371b] Merge branch '2.8.0/master'
  * [f394db9] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [52cafc1] Joël Cuissinat: Update package since “debian/eole/2.8.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Dec 2020 12:10:24 +0100

eole-ad (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [7b6baef] Merge branch '2.6.2/31203-syncEtab' into 2.7.2/master
  * [c754d55] Merge branch '2.6.2/31203-syncEtab' into 2.7.1/master
  * [43ae863] Merge branch '2.8.0/master'
  * [9e03c1b] Merge branch 'master' into dist/eole/2.8.1/master

  [ gilles.grandgerard ]
  * [ebcd8c3] manque full_audit dans les 'vfs objects'
  * [dd50884] Merge branch '2.7.1/master' into 2.7.2/master
  * [5f1ceea] Merge branch '2.7.2/master' into 2.8.0/master

  [ EOLE Build Daemon ]
  * [2edbc5b] Joël Cuissinat: Update package since “debian/eole/2.8.1-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 07 Dec 2020 14:12:16 +0100

eole-ad (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [766070b] * tmpl/lsc.xml : synchrnonise "Etablissement" groups
  * [157d7bf] Merge branch '2.6.2/31203-syncEtab' into 2.8.0/master
  * [226359f] Merge branch '2.8.0/master'
  * [ed65f34] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [639e296] Joël Cuissinat: Update package since “debian/eole/2.8.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 25 Nov 2020 12:19:35 +0100

eole-ad (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [72303dc] ajout du groupe @Domain Users (ref #28660)
  * [423e328] Merge branch '2.7.2/master' into 2.8.0/master
  * [c5e9801] Merge branch '2.8.0/master'
  * [bf20e6b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c3d3a98] Emmanuel Garette: Update package since “debian/eole/2.8.1-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 15 Oct 2020 09:36:49 +0200

eole-ad (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ee365e7] Prepare version 2.8.1
  * [129b5ed] Merge branch 'master' into dist/eole/2.8.1/master

  [ Benjamin Bohard ]
  * [261e822] Grant access to printers to authentified users and set permissions on driver folders
  * [aa17c26] Merge branch '2.7.2/28660-print_share_permissions' into 2.7.2/master
  * [dfcbee0] Merge branch '2.7.2/master' into 2.8.0/master
  * [62f93f8] Merge branch '2.8.0/master'


## eole-ad 2.9.0-12

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-ad
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad (2.9.0-12) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [9e7ef63] Gestion du shadowExpire correct en jour
  * [d5c3b93] Merge branch '2.8.1/master'
  * [65dd6bc] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ea0918d] Laurent Gourvénec: Update package since “debian/eole/2.9.0-11”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 30 Nov 2022 12:18:54 +0100

eole-ad (2.9.0-11) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [f715c9e] Merge branch '2.7.2/lsc-multi' into 2.7.2/master
  * [dd33abb] Remove debug options from /etc/default/lsc
  * [4d20ec5] Merge branch '2.7.2/master' into 2.8.0/master
  * [d7d3dea] Merge branch '2.8.0/master' into 2.8.1/master
  * [0c8944b] Merge branch '2.8.1/master'
  * [cf4a0c5] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f42db85] Joël Cuissinat: Update package since “debian/eole/2.9.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 01 Sep 2022 17:01:27 +0200

eole-ad (2.9.0-10) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [6f98859] Revert "Ajout du scribe checkmonoetab"
  * [ee5a211] Revert "En multi-etab, ignorer le groupe invite lors de la synchro lsc"
  * [b003545] Revert "Création des groupes admin-etab et invite-etab au reconfigure si nécessaire"
  * [663f78d] Merge branch '2.8.0/master' into 2.8.1/master
  * [1f32e85] Merge branch '2.8.1/master'
  * [7d5b920] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [de95909] Laurent Gourvénec: Update package since “debian/eole/2.9.0-9”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 18 Aug 2022 13:18:58 +0200

eole-ad (2.9.0-9) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3a147b0] Merge branch '2.8.0/lsc-multi' into 2.8.0/master

  [ Laurent Gourvénec ]
  * [c6d2c85] Création des groupes admin-etab et invite-etab au reconfigure si nécessaire
  * [ceb8009] En multi-etab, ignorer le groupe invite lors de la synchro lsc
  * [ce96999] Ajout du scribe checkmonoetab
  * [fcab6a1] Merge branch '2.8.0/master' into 2.8.1/master
  * [b458d20] Merge branch '2.8.1/master'
  * [2db1feb] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [0f81b65] Laurent Gourvénec: Update package since “debian/eole/2.9.0-8”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 17 Aug 2022 17:36:20 +0200

eole-ad (2.9.0-8) eole-2.9-unstable; urgency=low

  [ Gilles Grandgérard ]
  * [e13ae8e] mise en conformité krb5.conf
  * [f6ac2e7] mise en conformité shellcheck
  * [b12d232] net ads join avec le ticker kerberos (sans mdp à ce moment!)
  * [a714c4d] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e713dfd] Gilles Grandgérard: Update package since “debian/eole/2.9.0-7”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 13 Jul 2022 16:15:40 +0200

eole-ad (2.9.0-7) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [2895063] winbind separator à / (ref #34381)
  * [80d066f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d4455b3] Emmanuel Garette: Update package since “debian/eole/2.9.0-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Jun 2022 12:29:48 +0200

eole-ad (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [11d9cca] Adjust OOM Score for eole-lsc (ref #33940)
  * [289f3ca] Frame the memory usage of then lsc process (ref #33940)
  * [4cc70dc] Merge branch '2.7.2/master' into 2.8.0/master
  * [1354be2] Merge branch '2.8.0/master' into 2.8.1/master
  * [8582a9a] Merge branch '2.8.1/master'
  * [97586d6] multi-etab : don't synchronize "eleves" and "professeurs" groups
  * [170f153] Add /usr/sbin/checkmultietab script
  * [4556305] Call "checkmultietab" in postservice
  * [5e5a314] checkmultietab : python3 upgrade
  * [d859e93] Merge branch '2.8.0/lsc-multi' into 2.8.1/master
  * [22361d7] Merge branch '2.8.1/master'

  [ Benjamin Bohard ]
  * [8a5726c] Forcer l’adresse IP du contrôleur en conteneur.
  * [f6f69ee] Merge branch 'scenario/34232'
  * [f8a5776] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [479d236] Benjamin Bohard: Update package since “debian/eole/2.9.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 20 Jun 2022 08:57:13 +0200

eole-ad (2.9.0-5) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [681e12a] LSC doit accepter que shadowExpire puisse être négatif
  * [249feaf] Merge branch '2.8.1/master'
  * [b496c5c] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [15dc23c] Laurent Gourvénec: Update package since “debian/eole/2.9.0-4”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 08 Mar 2022 15:18:53 +0100

eole-ad (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [1e9306f] Revert "l'utilisateur est domain admin (ref #33696)"
  * [6debf7c] Revert "changement de l'utilisateur dans lsc (ref #33696)"
  * [00dbda7] Revert "creer l'utilisateur eole-synchro à la fin de l'instance (ref #33696)"
  * [426216d] Revert "sauvegarder le fichier .eolead avant (ref #33696)"
  * [68d0879] Revert "lsc utilise un utilisateur de synchronisation (ref #33696)"
  * [3f4652d] Création de l'utilisateur eole-synchro si ad_local est à 'oui' (ref #33696)
  * [7fdf9d5] Bonne application du mot de passe (ref #33696)
  * [7bf6f05] Merge branch '2.8.1/master'

  [ Joël Cuissinat ]
  * [e6b09b3] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [59d7fd8] Joël Cuissinat: Update package since “debian/eole/2.9.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 08 Mar 2022 14:30:31 +0100

eole-ad (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [e310b88] feat(debian/rules): dh_systemd does not exists any more
  * [701e4a1] feat(debian/compat): update to debhelper 13
  * [c067719] fix(debian/rules): generate package compatible with older reprepro

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 7.0.50),
-               dh-systemd
+Build-Depends: debhelper (>= 13)
 Standards-Version: 3.8.4
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd -peole-ad --name=eole-lsc
	dh_installsystemd -peole-ad --name=eole-wait-addc

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_installsystemd override_dh_builddeb

## eole-ad 2.10.0-5

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-ad
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [0405573] resolv.conf sur scribeAD (ref #36059)
  * [c9a621c] Merge branch '2.9.0/master'
  * [ee5f312] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ff7b592] Emmanuel Garette: Update package since “debian/eole/2.10.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 09 Jul 2024 10:42:14 +0200

eole-ad (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [8979f90] ajout de la dépendance pour ar (ref #35979)
  * [642cf91] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [84def57] eole-ad : remove "trunk" archive

  [ EOLE Build Daemon ]
  * [0e07e66] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 18 Jun 2024 10:33:15 +0200

eole-ad (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [86a6d2c] Utiliser les raw-strings.
  * [7ec6fd6] Merge branch 'master' into dist/eole/2.10.0/master
  * [251d5f6] Corrections code obsolète.
  * [8251dad] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9e59bb2] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 13 Jun 2024 10:03:18 +0200

eole-ad (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e27dd0f] changepasswordeole.pl : manage shadowLastChange instead of pwdLastSet in no SASL mode
  * [56e448f] Merge branch '2.8.0/master' into 2.8.1/master
  * [5905ff0] Merge branch '2.8.1/master' into 2.9.0/master
  * [472a8c8] Merge branch '2.9.0/master'
  * [51534dc] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6c272ca] Joël Cuissinat: Update package since “debian/eole/2.10.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 May 2024 15:25:09 +0200

eole-ad (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5414988] Prepare release 2.10.0
  * [aa3cd17] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [c4ada5f] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [aee5b0c] changepasswordeole.pl : update OpenLDAP shadowLastChange
  * [3818743] Merge branch '2.7.2/master' into 2.8.0/master
  * [affbbd4] Merge branch '2.8.0/master' into 2.8.1/master
  * [f348e11] Merge branch '2.8.1/master' into 2.9.0/master
  * [2e99c4d] Merge branch '2.9.0/master'
  * [1c60c02] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5b62fe9] Joël Cuissinat: Update package since “debian/eole/2.9.0-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 03 May 2024 13:19:06 +0200

eole-ad (2.9.0-13) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5693098] Forcer l’adresse IP du contrôleur en conteneur.
  * [72d2e26] Règles de rotation des journaux vfs full_audit.
  * [4f4944d] Merge branch '2.8.1/master'
  * [aa69f1c] Merge branch 'master' into dist/eole/2.9.0/master

  [ Joël Cuissinat ]
  * [63ba961] Merge branch '2.7.2/backport4.15' into 2.8.1/master

  [ EOLE Build Daemon ]
  * [447a4b3] Benjamin Bohard: Update package since “debian/eole/2.9.0-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 27 Nov 2023 09:05:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: all
 Depends: eole-scribe | eole-horus,
  krb5-config, krb5-user, lsc,
+ binutils,
  openjdk-8-jre,
  libcrypt-saltedhash-perl,
  recode,
